Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory.DESPBEKeyFactory

    java.lang.Object
      javax.crypto.SecretKeyFactorySpi
          org.bouncycastle.jce.provider.JCESecretKeyFactory
              org.bouncycastle.jce.provider.JCESecretKeyFactory.DESPBEKeyFactory

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  JCESecretKeyFactory.PBEWithMD2AndDES, JCESecretKeyFactory.PBEWithMD5AndDES

Enclosing class:
  JCESecretKeyFactory

    public static class JCESecretKeyFactory.DESPBEKeyFactory

extends JCESecretKeyFactory

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory

`JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.DESPBEKeyFactory, JCESecretKeyFactory.PBEKeyFactory, JCESecretKeyFactory.PBEWithMD2AndDES, JCESecretKeyFactory.PBEWithMD2AndRC2, JCESecretKeyFactory.PBEWithMD5And128BitAESCBCOpenSSL, JCESecretKeyFactory.PBEWithMD5And192BitAESCBCOpenSSL, JCESecretKeyFactory.PBEWithMD5And256BitAESCBCOpenSSL, JCESecretKeyFactory.PBEWithMD5AndDES, JCESecretKeyFactory.PBEWithMD5AndRC2, JCESecretKeyFactory.PBEWithRIPEMD160, JCESecretKeyFactory.PBEWithSHA, JCESecretKeyFactory.PBEWithSHA1AndDES, JCESecretKeyFactory.PBEWithSHA1AndRC2, JCESecretKeyFactory.PBEWithSHA256And128BitAESBC, JCESecretKeyFactory.PBEWithSHA256And192BitAESBC, JCESecretKeyFactory.PBEWithSHA256And256BitAESBC, JCESecretKeyFactory.PBEWithSHAAnd128BitAESBC, JCESecretKeyFactory.PBEWithSHAAnd128BitRC2, JCESecretKeyFactory.PBEWithSHAAnd128BitRC4, JCESecretKeyFactory.PBEWithSHAAnd192BitAESBC, JCESecretKeyFactory.PBEWithSHAAnd256BitAESBC, JCESecretKeyFactory.PBEWithSHAAnd40BitRC2, JCESecretKeyFactory.PBEWithSHAAnd40BitRC4, JCESecretKeyFactory.PBEWithSHAAndDES2Key, JCESecretKeyFactory.PBEWithSHAAndDES3Key, JCESecretKeyFactory.PBEWithSHAAndTwofish, JCESecretKeyFactory.PBEWithTiger`

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`algName, algOid`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`JCESecretKeyFactory.DESPBEKeyFactory(java.lang.String algorithm, DERObjectIdentifier oid, boolean forCipher, int scheme, int digest, int keySize, int ivSize)`

Method Summary
`protected javax.crypto.SecretKey` `engineGenerateSecret(java.security.spec.KeySpec keySpec)`

Methods inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCESecretKeyFactory.DESPBEKeyFactory

    public JCESecretKeyFactory.DESPBEKeyFactory(java.lang.String algorithm,
                                                DERObjectIdentifier oid,
                                                boolean forCipher,
                                                int scheme,
                                                int digest,
                                                int keySize,
                                                int ivSize)

Method Detail

### engineGenerateSecret

    protected javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGenerateSecret` in class `JCESecretKeyFactory`
  Throws:
    `java.security.spec.InvalidKeySpecException`

Bouncy Castle Cryptography Library 1.45